(function() {
  'use strict';

  kintone.events.on('app.record.index.show', function(event) {
    var tbody = document.getElementById('confirm-field-code');

    kintone.api(
      kintone.api.url('/k/v1/form', true),
      'GET',
      {app:kintone.app.getId()},
      function(res) {
        var fields = res.properties;
        for (var i = 0, l = fields.length; i < l; i++) {
          var tr = document.createElement('tr');
          var fieldName = document.createElement('td');
          fieldName.innerText = fields[i].label;
          tr.appendChild(fieldName);

          var fieldCode = document.createElement('td');
          fieldCode.innerText = fields[i].code;
          tr.appendChild(fieldCode);
          tbody.appendChild(tr);
        }
      }
    );
  });
})();